API reference
All operations
COMPANY

Partially updates a company

PATCH/api/v2/companies/{id}

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Parameters

idpathinteger · int32required

The ID of the company to update.

Request body

application/jsonrequired

The fields and values to update.

UpdateCompanyRequest
  • updatedFieldsstring[]required
    min items 1
  • sourcewellMemberNostring
  • sourcewellMembershipDatestring · date-timenullable
  • assignedNationalAccountIdsinteger[]
  • mailingboolean
  • longitudenumber · double
  • latitudenumber · double
  • companyNamestring
  • legalNamestringnullable
  • accountNostring
  • statusstring
  • address1string
  • address2string
  • address3string
  • citystring
  • statestring
  • zipstring
  • countystring
  • countrystring
  • phonestring
  • faxstring
  • webstring
  • recordTypeIdinteger · int32
  • branchIdinteger · int32
  • parentIdinteger · int32
  • sourceIdinteger · int32
  • assignedRepPrimaryIdinteger · int32
  • assignedRepSecondaryIdsinteger[]

Responses

Company updated successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataCompanyDto
  • companyIdinteger · int32
  • parentIdinteger · int32
  • recordTypeIdinteger · int32
  • branchIdinteger · int32
  • companyNamestring
  • legalNamestring
  • accountNostring
  • address1string
  • address2string
  • address3string
  • citystring
  • statestring
  • zipstring
  • countystring
  • countrystring
  • mailingbooleannullable
  • latitudenumber · double
  • longitudenumber · double
  • phonestring
  • faxstring
  • webstring
  • linkedboolean
  • sourceIdinteger · int32
  • statusstring
  • enteredstring · date-time
  • lastModifiedstring · date-time
  • completeboolean
  • parentNamestring
  • parentAccountNostring
  • assignedRecordTypestring
  • assignedBranchstring
  • assignedNationalAccountsstring
  • assignedNationalAccountIdsstring
  • assignedSourcestring
  • buyIDstring